# Class GoIntoAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.views.framelist.FrameAction
org.eclipse.ui.views.framelist.GoIntoAction

All Implemented Interfaces:
  `IAction`

public class GoIntoAction extends FrameAction
Generic "Go Into" action which goes to the frame for the current selection.

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`GoIntoAction(FrameList frameList)`
Constructs a new action for the specified frame list.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Calls `gotoFrame` on the frame list with a frame representing the currently selected container.
`void`
`update()`
Updates this action's enabled state.

### Methods inherited from class FrameAction

`dispose, getFrameList, handlePropertyChange`

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoIntoAction

public GoIntoAction(FrameList frameList)
Constructs a new action for the specified frame list.

Parameters:
  `frameList` - the frame list

## Method Details

### run

public void run()
Calls `gotoFrame` on the frame list with a frame representing the currently selected container.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - How radio buttons are handled
  - How check boxes are handled

### update

public void update()
Updates this action's enabled state. This action is enabled only when there is a frame for the current selection.

Overrides:
  `update` in class `FrameAction`